Package org.springframework.beans.factory.aot

# Class AotBeanProcessingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.beans.factory.aot.AotException
org.springframework.beans.factory.aot.AotProcessingException
org.springframework.beans.factory.aot.AotBeanProcessingException

All Implemented Interfaces:
  `Serializable`

public class AotBeanProcessingException extends AotProcessingException
Thrown when AOT fails to process a bean.

Since:
  6.2
Author:
  Stephane Nicoll
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AotBeanProcessingException(RegisteredBean registeredBean, String msg)`
Shortcut to create an instance with the `RegisteredBean` that fails to be processed with only a detail message.
`AotBeanProcessingException(RegisteredBean registeredBean, String msg, Throwable cause)`
Create an instance with the `RegisteredBean` that fails to be processed, a detail message, and an optional root cause.

## Method Summary

Modifier and Type
Method
Description
`RootBeanDefinition`
`getBeanDefinition()`
Return the bean definition of the bean that failed to be processed.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AotBeanProcessingException

public AotBeanProcessingException(RegisteredBean registeredBean, String msg, @Nullable Throwable cause)
Create an instance with the `RegisteredBean` that fails to be processed, a detail message, and an optional root cause.

Parameters:
  `registeredBean` - the registered bean that fails to be processed
  `msg` - the detail message
  `cause` - the root cause, if any

### AotBeanProcessingException

public AotBeanProcessingException(RegisteredBean registeredBean, String msg)
Shortcut to create an instance with the `RegisteredBean` that fails to be processed with only a detail message.

Parameters:
  `registeredBean` - the registered bean that fails to be processed
  `msg` - the detail message

## Method Details

### getBeanDefinition

public RootBeanDefinition getBeanDefinition()
Return the bean definition of the bean that failed to be processed.